API ReferenceRecipients

Validate Recipient's Details Batch

POST
/v2/recipients/validate-batch

This API call validates a batch of recipient's details.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

accountNumber?string

Client account number

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

This is a composite request. It is used when you need to validate one or more recipients.

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/recipients/validate-batch" \  -H "Content-Type: application/json" \  -d '{    "recipients": [      {        "entity": {          "type": "Company"        },        "payoutMethod": {          "type": "BankAccount"        },        "clientReference": "string"      }    ]  }'
[  {    "clientReference": "string",    "isValid": true,    "validationErrors": [      {        "errors": [          "string"        ],        "fieldErrors": [          {            "code": "string",            "message": "string"          }        ],        "fieldName": "string"      }    ]  }]
{  "errors": [    {      "errors": [        "string"      ],      "fieldErrors": [        {          "code": "string",          "message": "string"        }      ],      "fieldName": "string"    }  ],  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Empty
Get help